{
  "credit": "made by shulker",
  "model": {
    "type": "minecraft:condition",
    "on_false": {
      "type": "minecraft:model",
      "model": "minecraft:item/beetroot_soup"
    },
    "on_true": {
      "type": "minecraft:range_dispatch",
      "entries": [
		{
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/beetroot_soup_0"
          },
          "threshold": 8
        },
        {
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/beetroot_soup_1"
          },
          "threshold": 11
        },
        {
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/beetroot_soup_2"
          },
          "threshold": 14
        },
        {
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/beetroot_soup_3"
          },
          "threshold": 17
        },
        {
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/beetroot_soup_4"
          },
          "threshold": 20
        },
        {
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/beetroot_soup_5"
          },
          "threshold": 23
        },
        {
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/beetroot_soup_6"
          },
          "threshold": 26
        }
      ],
      "fallback": {
        "type": "minecraft:model",
        "model": "minecraft:item/beetroot_soup"
      },
      "property": "minecraft:use_duration",
      "scale": 1
    },
    "property": "minecraft:using_item"
  }
}